# Generated by Django 4.0 on 2022-10-11 13:37

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
        ('codex', '0028_remove_imageannotation_term'),
    ]

    operations = [
        migrations.CreateModel(
            name='Path2',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(blank=True, max_length=256, null=True)),
                ('closed', models.BooleanField(default=False)),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='auth.user')),
            ],
        ),
        migrations.CreateModel(
            name='PathNode',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('order', models.IntegerField()),
                ('type', models.CharField(choices=[('te', 'Term')], max_length=2)),
                ('tid', models.IntegerField()),
                ('path', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='nodes', to='codex.path2')),
            ],
            options={
                'ordering': ['order'],
            },
        ),
    ]
